package ant.agent.job;

/**
 * 
 * @author Fun
 *
 */
public enum JobState{
	//common state
	Exploring,
	ExploringFire,
	ExploringRandom,
	MovingToRefuge,
	Waiting,
	GoingToFireRegion,
	Inactive,
	SavingMyself,
	MovingToRegion,
	SavedByOtherAgent,
	BuriedResting,
	StuckResting,
	StuckInBuilding,
	MovingOutOfStuck,
	//ambulance team
	MovingToHuman,
	LoadingHuman,
	UnloadingHuman,
	RescuingHuman,
	TakingCivilianToRefuge,
	WillSaveHuman,
	HumanIsHelpless,
	
	//police force
//	WillClearPath,
//	ClearingBlock,
//	GoingToBlockedRoad,
//	GoingToGoalToClearPath,
//	GoingToStartToClearPath,
//	ClearingPath,
//	MovingToBlockAtCurrentLocation,
//	MovingToBlockedRoad,
//	GettingCloserToBlock,
	ClearingBlocksToPath,
//	ClearingAllBlocksToPath,
//	ClearingAllBlocksAtLocation,
//	ClearingCurrentRoad,
//	ClearingRefugeEntrace,
//	ClearingAnnoyingBlock,
	MovingToPartition,
	WorkerClean,
	CleanToRefuge,
	CleanToFire,
	
	//fire brigade
	GoingToRefugeToRefillWater,
	Extinguishing,
	MovingToFire,
	MovingToFireArea,
	FillingWater,
}
