package ant.agent.job.at;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

import ant.AgentContext;
import ant.agent.command.AntCommand;
import ant.agent.job.AntAmbulanceTeamJob;
import ant.component.at.AmbulanceKernelComponent;

/**
 * 
 * @author Fun
 * 
 */
public class AmbulanceKernelJob extends AntAmbulanceTeamJob {
	private static Log log = LogFactory.getLog(AmbulanceKernelJob.class);

	private AmbulanceKernelComponent akc;

	public AmbulanceKernelJob(AgentContext context) {
		super(context);
		akc = (AmbulanceKernelComponent) context.getAntComponentKit().getAntComponent(AmbulanceKernelComponent.class);
	}

	@Override
	public boolean shouldExecute() {
//		if(context.getTimestamp() > 100){
			akc.perform();
//		}
		return false;
	}
	
	@Override
	public void overtaken() {
	}

	@Override
	public AntCommand execute() {
		return null;
	}

	@Override
	public String getJobName() {
		return "AmbulanceKernelJob";
	}

}
