package ant.agent.job.at;

import java.util.Comparator;

import rescuecore2.standard.entities.Building;
import rescuecore2.standard.entities.Human;

public class BuildingDistanceComparator implements Comparator<Building>{

	private Human reference;
	
	public BuildingDistanceComparator(Human me){
		reference = me;
	}
	
	@Override
	public int compare(Building b0, Building b1) {
		double dis0 = Math.abs(reference.getX()-b0.getX())+Math.abs(reference.getY()-b0.getY());
		double dis1 = Math.abs(reference.getX()-b1.getX())+Math.abs(reference.getY()-b1.getY());

		double res = dis0 - dis1;

		if(res<0){
			return -1;
		}else if(res > 0){
			return 1;
		}else{
			return 0;
		}
	}

}