package ant.agent.job.universal;

import rescuecore2.standard.entities.Human;
import ant.AgentContext;
import ant.agent.command.AntCommand;
import ant.agent.command.AntRest;
import ant.agent.job.AbstractJob;

/**
 * 
 * @author Oliver
 * 
 */
public class RestJob<E extends Human> extends AbstractJob<E> {
	public RestJob(AgentContext context) {
		super(context);
	}

	@Override
	public void overtaken() {
	}

	@Override
	public boolean shouldExecute() {
		return true;
	}

	@Override
	public AntCommand execute() {
		return new AntRest(context.getTimestamp());
	}

	@Override
	public String getJobName() {
		return getClass().getName();
	}

}
