package ant.component.pf;

import java.util.HashMap;
import java.util.Map;

import rescuecore2.worldmodel.EntityID;

/**
 * 
 * @author Ivan
 * 
 */
public class Discuss {

	private boolean isBestApplicant = false;
	private int discussDelayedTimestamp = -1;
	private Map<EntityID, Integer> applicants;

	public Discuss() {
		this.applicants = new HashMap<EntityID, Integer>();
	}

	public int getDiscussDelayedTimestamp() {
		return discussDelayedTimestamp;
	}

	public void setDiscussDelayedTimestamp(int discussDelayedTimestamp) {
		this.discussDelayedTimestamp = discussDelayedTimestamp;
	}

	public Map<EntityID, Integer> getApplicants() {
		return applicants;
	}

	public void putApplicant(EntityID who, Integer i) {
		this.applicants.put(who, i);
	}

	public void clear() {
		this.discussDelayedTimestamp = -1;
		this.applicants.clear();
		this.isBestApplicant = false;
	}

	public boolean isBestApplicant() {
		return isBestApplicant;
	}

	public void setBestApplicant(boolean isBestApplicant) {
		this.isBestApplicant = isBestApplicant;
	}


}
