package ant.component.pf.spot;


/**
 * 
 * @author Ivan
 *
 */
public enum SpotType {
	Refuge("R", SpotLevel.High),
	AgentStuckingInRoad("SR", SpotLevel.High),
	AgentStuckingInBuilding("SB", SpotLevel.High),
	HighlyRoadArrive("RA", SpotLevel.High),
	HighlyJigsawArrive("HIA", SpotLevel.High),
	AgentSpawn("AP", SpotLevel.High),
	SuperiorExploration("SUP", SpotLevel.High),
	
	AgentBuried("B", SpotLevel.Mid),
	BuildingObserving("BO", SpotLevel.Mid),
	BuildingExploration("BE", SpotLevel.Mid),
	
	CivInBuilding("CIB", SpotLevel.Low),
	FindCivBuildingEnter("FCBE", SpotLevel.Low);
	
	// AvenueCleaning
	// AvenueExploration
	
	private final String abbr;
	private final SpotLevel level;
	
	private SpotType(String abbr, SpotLevel level) {
		this.abbr = abbr;
		this.level = level;
	}
	
	public final String getAbbr() {
		return this.abbr;
	}
	
	public final SpotLevel getLevel() {
		return this.level;
	}
}