package ant.liaison.channel;

/**
 * 
 * @author Oliver
 * 
 */
public abstract class AbstractChannel {
	protected int id;
	
	public AbstractChannel(int id) {
		this.id = id;
	}

	public int getId() {
		return id;
	}

	@Override
	public int hashCode() {
		return id;
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		AbstractChannel other = (AbstractChannel) obj;
		if (id != other.id)
			return false;
		return true;
	}
}
