package ant.liaison.channel;

/**
 * 
 * @author Oliver
 * 
 */
public class RadioChannel extends AbstractChannel {
	private int bandWidth;
	private ChannelCondition condition;
	private double successRate;

	public RadioChannel(int id, int bandWidth) {
		super(id);
		this.bandWidth = bandWidth;
	}

	public int getBandWidth() {
		return bandWidth;
	}

	public ChannelCondition getCondition() {
		return condition;
	}

	public void setCondition(ChannelCondition condition) {
		this.condition = condition;
	}

	public double getSuccessRate() {
		return successRate;
	}

	public void setSuccessRate(double successRate) {
		this.successRate = successRate;
	}

	@Override
	public String toString() {
		return "Channel[" + id + "]";
	}
}
