package ant.liaison.channel.assign;

/**
 * 
 * @author Oliver
 * 
 */
public enum ChannelUserInfo {
	AMBULANCE_TEAM(120, 0.95, "AT"), FIRE_BRIGADE(150, 0.85, "FB"), POLICE_FORCE(100, 0.9, "PF");

	private int channelCostPerAgent;
	// TODO not used for now
	private double msgAcceptRate;
	private String displayName;

	private ChannelUserInfo(int channelCostPerAgent, double msgAcceptRate, String displayName) {
		this.channelCostPerAgent = channelCostPerAgent;
		this.msgAcceptRate = msgAcceptRate;
		this.displayName = displayName;
	}

	public int getChannelCostPerAgent() {
		return channelCostPerAgent;
	}

	public double getMsgAcceptRate() {
		return msgAcceptRate;
	}

	@Override
	public String toString() {
		return displayName;
	}
}
