package ant.liaison.channel.io;

import ant.liaison.MessageType;
import ant.liaison.message.IMessage;

/**
 * 
 * @author Oliver
 * 
 */
public class MessageInfo {
	private IMessage message;
	// private MessageType messageType;
	private byte[] msgContent;
	private double receiveRate;
	private int repeateTime;

	public MessageInfo(IMessage message, byte[] msgContent) {
		this.message = message;
		// this.messageType = message.getMessageType();
		this.msgContent = msgContent;
	}

	public void sendMessage(double channelSuccessRate) {
		repeateTime++;
		receiveRate = 1 - (1 - receiveRate) * (1 - channelSuccessRate);
	}

	public MessageType getMessageType() {
		return message.getMessageType();
	}

	public byte[] getMsgContent() {
		return msgContent;
	}

	public double getReceiveRate() {
		return receiveRate;
	}

	public int getRepeateTime() {
		return repeateTime;
	}

	public IMessage getMessage() {
		return message;
	}
}
