package ant.liaison.message;

import rescuecore2.worldmodel.EntityID;
import ant.liaison.MessageProperty;
import ant.liaison.MessagePropertyDesc;
import ant.liaison.MessageType;

/**
 * 
 * @author Fun
 * 
 */
public class MCivilianRescued extends AbstractMessage {
	@MessagePropertyDesc(order = 0, bind = MessageProperty.CivilianID)
	private EntityID civilian;

	public MCivilianRescued() {
	}

	public MCivilianRescued(EntityID civilian) {
		super();
		this.civilian = civilian;
	}

	public EntityID getCivilian() {
		return civilian;
	}

	public void setCivilian(EntityID civilian) {
		this.civilian = civilian;
	}

	@Override
	public String toString() {
		return "#" + timestamp + " " + "MCivilianRescued [civilian=" + civilian + "]";
	}

	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result
				+ ((civilian == null) ? 0 : civilian.hashCode());
		return result;
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		MCivilianRescued other = (MCivilianRescued) obj;
		if (civilian == null) {
			if (other.civilian != null)
				return false;
		} else if (!civilian.equals(other.civilian))
			return false;
		return true;
	}

	@Override
	public MessageType getMessageType() {
		return MessageType.CivilianRescued;
	}

}
