package ant.liaison.message;

import ant.liaison.MessageProperty;
import ant.liaison.MessagePropertyDesc;
import ant.liaison.MessageType;

/**
 * 
 * @author Ivan
 * 
 */
public class MJigsawApplication extends AbstractMessage {
	
	@MessagePropertyDesc(order = 0, bind = MessageProperty.ObjectiveJigsawID)
	private int objectiveJigsawID;

	public MJigsawApplication() {
	}

	public MJigsawApplication(int objectiveJigsawID) {
		this.objectiveJigsawID = objectiveJigsawID;
	}

	public int getObjectiveJigsawID() {
		return objectiveJigsawID;
	}

	public void setObjectiveJigsawID(int objectiveJigsawID) {
		this.objectiveJigsawID = objectiveJigsawID;
	}

	@Override
	public MessageType getMessageType() {
		return MessageType.JigsawApplication;
	}

	@Override
	public String toString() {
		return "JigsawApplication [id=" + objectiveJigsawID + "]";
	}

	@Override
	public int hashCode() {
		final int prime = 31;
		int result = super.hashCode();
		result = prime * result + objectiveJigsawID;
		return result;
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (!super.equals(obj))
			return false;
		if (getClass() != obj.getClass())
			return false;
		MJigsawApplication other = (MJigsawApplication) obj;
		if (objectiveJigsawID != other.objectiveJigsawID)
			return false;
		return true;
	}

}
