package ant.liaison.message;

import rescuecore2.worldmodel.EntityID;
import ant.liaison.MessageProperty;
import ant.liaison.MessagePropertyDesc;
import ant.liaison.MessageType;

/**
 * 
 * @author Ivan
 *
 */
public class MVoiceHearCivHelp extends AbstractMessage {

	@MessagePropertyDesc(order = 0, bind = MessageProperty.CivilianID)
	private EntityID civID;
	
	public MVoiceHearCivHelp() {
	}

	public MVoiceHearCivHelp(EntityID civID) {
		this.civID = civID;
	}
	
	public EntityID getCivID() {
		return civID;
	}

	public void setCivID(EntityID civID) {
		this.civID = civID;
	}

	@Override
	public MessageType getMessageType() {
		return MessageType.VoiceHearCivHelp;
	}

	@Override
	public int hashCode() {
		final int prime = 31;
		int result = super.hashCode();
		result = prime * result + ((civID == null) ? 0 : civID.hashCode());
		return result;
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (!super.equals(obj))
			return false;
		if (getClass() != obj.getClass())
			return false;
		MVoiceHearCivHelp other = (MVoiceHearCivHelp) obj;
		if (civID == null) {
			if (other.civID != null)
				return false;
		} else if (!civID.equals(other.civID))
			return false;
		return true;
	}

	@Override
	public String toString() {
		return "MVoiceHearCivHelp [civID=" + civID + "]";
	}
	
	
}
