package ant.liaison.message;

import rescuecore2.worldmodel.EntityID;
import ant.liaison.MessageProperty;
import ant.liaison.MessagePropertyDesc;
import ant.liaison.MessageType;

/**
 * 
 * @author Ivan
 *
 */
public class MZ_DeprecatedPoliceForceRescueAgentAcception extends AbstractMessage {
	
	@MessagePropertyDesc(order = 0, bind = MessageProperty.AgentID)
	private EntityID agent;
	
	@Override
	public MessageType getMessageType() {
		return MessageType.PFRescueAgentAcception;
	}

	public MZ_DeprecatedPoliceForceRescueAgentAcception(EntityID agent) {
		this.agent = agent;
	}

	public MZ_DeprecatedPoliceForceRescueAgentAcception() {
	}

	public EntityID getAgent() {
		return agent;
	}

	public void setAgent(EntityID agent) {
		this.agent = agent;
	}

	@Override
	public int hashCode() {
		final int prime = 31;
		int result = super.hashCode();
		result = prime * result + ((agent == null) ? 0 : agent.hashCode());
		return result;
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (!super.equals(obj))
			return false;
		if (getClass() != obj.getClass())
			return false;
		MZ_DeprecatedPoliceForceRescueAgentAcception other = (MZ_DeprecatedPoliceForceRescueAgentAcception) obj;
		if (agent == null) {
			if (other.agent != null)
				return false;
		} else if (!agent.equals(other.agent))
			return false;
		return true;
	}

	@Override
	public String toString() {
		return "#" + timestamp + " " + "MPFRescueAgentAcception [agent=" + agent + "]";
	}

	
}
