package ant.map.search;

/**
 * 
 * @author Ivan
 *
 */
public abstract class AbstractSSSPTree<V> {
	
	protected V source;

	public AbstractSSSPTree(V source) {
		this.source = source; 
	}
	
	public V getSource() {
		return this.source;
	}
	
	public abstract double getDistance(V target);
	
	/**
	 * @param target
	 * @return null, if no spfather
	 */
	public abstract V getSPFather(V target);
}
