package ant.utils;

import java.util.ArrayList;
import java.util.List;

/**
 * 
 * @author Ivan
 *
 */
public class ListDereplication {
	
	public static <E> List<E> dereplication(List<E> input) {
		List<E> ret = new ArrayList<E>();
		if (input.isEmpty()) return ret;
		E last = input.get(0);
		ret.add(last);
		for (int i = 1; i < input.size(); i++) {
			E tmp = input.get(i);
			if (!tmp.equals(last)) {
				last = tmp;
				ret.add(last);
			}
		}
		return ret;
	}
}
