package ant.utils.agent;

import java.util.ArrayList;
import java.util.List;

import rescuecore2.standard.entities.AmbulanceTeam;
import rescuecore2.standard.entities.FireBrigade;
import rescuecore2.standard.entities.PoliceForce;
import ant.AbstractJobBasedAntAgent;
import ant.agent.job.AbstractJob;
import ant.agent.job.universal.RestJob;

/**
 * 
 * @author Oliver
 * 
 */
public class EmptyAntAgent {
	public static class EmptyAntAmbulanceTeam extends AbstractJobBasedAntAgent<AmbulanceTeam> {
		@Override
		protected List<AbstractJob> produceJobs() {
			List<AbstractJob> list = new ArrayList<AbstractJob>();
			list.add(new RestJob<AmbulanceTeam>(context));
			return list;
		}
	}

	public static class EmptyAntFireBrigade extends AbstractJobBasedAntAgent<FireBrigade> {
		@Override
		protected List<AbstractJob> produceJobs() {
			List<AbstractJob> list = new ArrayList<AbstractJob>();
			list.add(new RestJob<FireBrigade>(context));
			return list;
		}
	}

	public static class EmptyAntPoliceForce extends AbstractJobBasedAntAgent<PoliceForce> {
		@Override
		protected List<AbstractJob> produceJobs() {
			List<AbstractJob> list = new ArrayList<AbstractJob>();
			list.add(new RestJob<PoliceForce>(context));
			return list;
		}
	}
}
