package ant.utils.agent;

import java.util.Collection;
import java.util.EnumSet;

import rescuecore2.messages.Command;
import rescuecore2.standard.components.StandardAgent;
import rescuecore2.standard.entities.PoliceForce;
import rescuecore2.standard.entities.StandardEntityURN;
import rescuecore2.worldmodel.ChangeSet;

/**
 * 
 * @author Ivan
 *
 */
public class EmptyPoliceForce extends StandardAgent<PoliceForce> {
	
	@Override
    public String toString() {
        return "Empty Police Force";
    }

    @Override
    protected void think(int time, ChangeSet changed, Collection<Command> heard) {
    	sendRest(time);
    }

    @Override
    protected EnumSet<StandardEntityURN> getRequestedEntityURNsEnum() {
        return EnumSet.of(StandardEntityURN.POLICE_FORCE);
    }
}
