package ant.component.fb;

import ant.AntComponent;
import ant.component.universal.BuildingConditionComponent.BuildingCondition;

/**
 * 
 * @author Oliver
 * @depend {@link FireSimulatorComponent}
 */
public class FireSplitComponent extends AbstractFireSpliteComponent implements AntComponent {

	@Override
	protected void initial() {

	}

	@Override
	public void update() {
		split();
	}

	@Override
	public String getComponentName() {
		return getClass().getName();
	}

	@Override
	protected boolean isFireBuildingFitSpliteCondition(FireBuilding fireBuilding) {
		BuildingCondition condition = fireBuilding.getCondition();
		return condition.isOnFire() || condition.isBurntOut();
	}
}
