package ant.liaison.message;

import rescuecore2.worldmodel.EntityID;
import ant.liaison.MessageType;

/**
 * 
 * @author Oliver
 * 
 */
public abstract class AbstractCivilianMessage extends AbstractMessage {
	public AbstractCivilianMessage(EntityID sender) {
		this.sender = sender;
	}

	public EntityID getCivilianID() {
		return sender;
	}

	@Override
	public MessageType getMessageType() {
		return MessageType.CivilianMessage;
	}

	public static class MCivilianSayHelp extends AbstractCivilianMessage {
		public MCivilianSayHelp(EntityID sender) {
			super(sender);
		}
	}

	public static class MCivilianSayOuch extends AbstractCivilianMessage {
		public MCivilianSayOuch(EntityID sender) {
			super(sender);
		}
	}
}
