package ant.map.objects;


/**
 * 
 * @author Ivan
 *
 * @param <V>
 */
public class StandardGraphEdge<V> implements IGraphEdge<V> {

	private V source;
	private V target;
	private double weight;

	public StandardGraphEdge(V source, V target, double weight) {
		this.source = source;
		this.target = target;
		this.weight = weight;
	}
	
	@Override
	public V getSource() {
		return source; 
	}

	@Override
	public V getTarget() {
		return target;
	}

	@Override
	public double getWeight() {
		return weight;
	}
	
	@Override
	public void setWeight(double weight) {
		this.weight = weight;
	}
}
