package ant.map.partition;

import java.util.ArrayList;

import ant.AgentContext;

/**
 * 
 * @author Ivan
 *
 */
public abstract class AbstractPartitionAlgorithm {
	
	protected AgentContext context;

	public AbstractPartitionAlgorithm(AgentContext context) {
		this.context = context;
	}
	
	public abstract void partition();
	
	public abstract int getPartitionCount();
	
	public abstract ArrayList<Partition> getPartitions();
}
