package ant.utils;

import java.util.HashSet;
import java.util.Set;

import rescuecore2.standard.entities.StandardEntity;
import rescuecore2.worldmodel.EntityID;

public class ToIDSet {
	public static <E extends StandardEntity> HashSet<EntityID> toIDSet(Set<E> input) {
		HashSet<EntityID> ret = new HashSet<EntityID>();
		for (E e : input) {
			ret.add(e.getID());
		}
		return ret;
	}
}
