package ant.utils.agent;

import java.util.Collection;
import java.util.EnumSet;

import rescuecore2.messages.Command;
import rescuecore2.standard.components.StandardAgent;
import rescuecore2.standard.entities.FireBrigade;
import rescuecore2.standard.entities.StandardEntityURN;
import rescuecore2.worldmodel.ChangeSet;

/**
 * 
 * @author Ivan
 *
 */
public class EmptyFireBrigade extends StandardAgent<FireBrigade> {

	@Override
	public String toString() {
		return "Empty fire brigade";
	}

	@Override
	protected void think(int time, ChangeSet changed, Collection<Command> heard) {
		sendRest(time);
	}

	@Override
	protected EnumSet<StandardEntityURN> getRequestedEntityURNsEnum() {
		return EnumSet.of(StandardEntityURN.FIRE_BRIGADE);
	}

}
