package ant.utils.civilian;

import rescuecore2.worldmodel.EntityID;
import ant.agent.job.JobState;

/**
 * 
 * @author Fun
 * 
 */
public class RescueAciton {
	private JobState state;
	private EntityID target;

	public RescueAciton(JobState state, EntityID target) {
		this.state = state;
		this.target = target;
	}

	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((state == null) ? 0 : state.hashCode());
		result = prime * result + ((target == null) ? 0 : target.hashCode());
		return result;
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		RescueAciton other = (RescueAciton) obj;
		if (state != other.state)
			return false;
		if (target == null) {
			if (other.target != null)
				return false;
		} else if (!target.equals(other.target))
			return false;
		return true;
	}

	@Override
	public String toString() {
		return "RescueAciton [state=" + state + ", target=" + target + "]";
	}

	public JobState getState() {
		return state;
	}

	public EntityID getTarget() {
		return target;
	}

}
