package ant.utils.traffic;

import java.util.List;

import rescuecore2.worldmodel.EntityID;

/**
 * 
 * @author Oliver
 * 
 */
/**
 * @author Oliver
 *
 */
public class TrafficMove {
	private List<EntityID> path;
	private int fromX;
	private int fromY;
	private int toX;
	private int toY;

	public TrafficMove(List<EntityID> path, int fromX, int fromY) {
		this.path = path;
		this.fromX = fromX;
		this.fromY = fromY;
		this.toX = -1;
		this.toY = -1;
	}

	public TrafficMove(List<EntityID> path, int fromX, int fromY, int toX, int toY) {
		this.path = path;
		this.fromX = fromX;
		this.fromY = fromY;
		this.toX = toX;
		this.toY = toY;
	}

	public List<EntityID> getPath() {
		return path;
	}

	public int getFromX() {
		return fromX;
	}

	public int getFromY() {
		return fromY;
	}

	public int getDestinationX() {
		return toX;
	}

	public int getDestinationY() {
		return toY;
	}

	@Override
	public String toString() {
		return "TrafficMove [path=" + path + ", fromX=" + fromX + ", fromY=" + fromY + ", toX="
				+ toX + ", toY=" + toY + "]";
	}
}
